FOOMATIC-GETPJLOPTIONS(8)

NAME
foomatic-getpjloptions - <put a short description here>

SYNOPSIS
foomatic-getpjloptions device foomatic-getpjloptions hostname port

DESCRIPTION
foomatic-getpjloptions Sends a set of PJL commands and reads back the PJL options and status from a printer over a network connection or device bidirectional interface such as parallel, USB, serial. printers to standard output. The output can be piped into foomatic-addpjloptions to add options to the database.

  Options

device
    The interface to which a local printer is connected, e.g. /dev/lp0, /dev/usb/lp0, /dev/tty00, etc. For a parallel port, you must have bidirectional support enabled at the BIOS level and the parallel port driver must support the bidirectional mode. Check your parallel port BIOS settings for EPP/bi-directional mode.

hostname
    Host name or IP address of a network printer (HP JetDirect, DLINK, etc.).

port
    Port on which your network printer listens for socket (Appsocket) connections. Most common ports are 9100 (JetDirect), 10000 (DLINK). Usually you can configure the port via a configuration interface.

EXIT STATUS
foomatic-getpjloptions returns ???

AUTHOR
Manfred Wassmann <manolo@NCC-1701.B.Shuttle.de> for the foomatic project using output from the associated binary. Modified by Patrick Powell <papowell at lprng.com> to provide betters support for network printers, error messages, and remove CR and FF from output.

WARNINGS
Uni-directional protocols as remote LPD are not supported as no status is returned. Some network print servers which attach to a printer parallel port do not support bidirectional mode.